%define __libtoolize    /bin/true

%define lib_name_orig %mklibname kst
%define lib_major 1
%define lib_name %mklibname kst %lib_major
%define develname %mklibname -d kst

%define lib_name_orig_old %mklibname kst
%define lib_major_old 0
%define lib_name_old %lib_name_orig_old%lib_major_old

Name:           kst
Summary:        A really cool plotting and data viewing program
Version:        1.4.0
Release:        %mkrel 3
Source:         ftp://ftp.kde.org/pub/kde/stable/apps/KDE3.x/scientific/%{name}-%version.tar.bz2
URL:            http://kst.kde.org
Group:		Graphical desktop/KDE
BuildRoot:      %_tmppath/%name-buildroot
License:	GPL
BuildRequires:	kdelibs-devel
BuildRequires:	gsl-devel
BuildRequires:	cfitsio-devel
BuildRequires:	libxml2-utils
BuildRequires:	desktop-file-utils
BuildRequires:	ImageMagick
BuildRequires:	netcdf-devel >= 3.6.1
Requires:       kdebase >= 3.0.2
Requires:	%lib_name = %version-%release
	
%description
A really cool plotting and data viewing program.

%package -n %lib_name
Group:		Development/KDE and Qt
Summary:	Librairies files for Kst
Conflicts:	%lib_name_old <= 0.97-2mdk

%description -n %lib_name
Librairies file for Kst

%package -n %develname
Group:		Development/KDE and Qt
Summary:	Header files for developing koffice applications
Requires:      %{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}
Provides:	%{_lib}%{name}-devel = %{version}
Conflicts:	%{lib_name_old}-devel <= 0.97-2mdk
Obsoletes:	%{lib_name}-devel

%description -n %develname
Header files needed for developing kst applications.


%prep
rm -rf $RPM_BUILD_ROOT 

%setup -q -n%name-%version


%build
%configure2_5x --disable-rpath \
           --disable-debug 

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p %buildroot%_datadir/applications/kde
desktop-file-install --vendor='' --delete-original \
	--dir=%buildroot%_datadir/applications/kde \
	--add-category='Qt;KDE;DataVisualization;Science' \
	--add-only-show-in='KDE' \
	%buildroot%_datadir/applnk/Applications/Sciences/kst.desktop

install -d %{buildroot}/{%{_miconsdir},%{_liconsdir}}
convert -resize 48x48 kst/src/kst/kst.png %{buildroot}/%{_iconsdir}/%{name}.png
install -m644 kst/src/kst/kst.png %{buildroot}/%{_liconsdir}/%{name}.png
convert -resize 16x16 kst/src/kst/kst.png %{buildroot}/%{_miconsdir}/%{name}.png

%find_lang %name %name kstplugineditor

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%if %mdkversion > 200600
%update_icon_cache hicolor
%update_icon_cache locolor
%endif

%postun
%{clean_menus}
%if %mdkversion > 200600
%clean_icon_cache hicolor
%clean_icon_cache locolor
%endif

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig

%post -n %develname -p /sbin/ldconfig

%postun -n %develname -p /sbin/ldconfig

%files -n %lib_name
%defattr(-,root,root)
%_libdir/libkst.so.*
%_libdir/libkstmath.so.*
%_libdir/libkstmath.la

%_libdir/libkstapp.la
%_libdir/libkstapp.so.*

%_libdir/libkstextdate.so.*
%_libdir/libkstwidgets.so.*
%_libdir/libkstextdate.la
%_libdir/libkstwidgets.la

%files -n %develname
%defattr(-,root,root)
#
%_includedir/*.h
%_libdir/libkst.so
%_libdir/libkst.la
%_libdir/libkstmath.so
%_libdir/libkstapp.so
%_libdir/libkstextdate.so
%_libdir/libkstwidgets.so

%files -f %name.lang
%defattr(-,root,root,0755)
%_bindir/*

#%_libdir/libkst.la
%_libdir/kde3/*.la
%_libdir/kde3/*.so
%_libdir/kde3/plugins/designer/*.la
%_libdir/kde3/plugins/designer/*.so



%_libdir/kde3/kstplugins/*.la
%_libdir/kde3/kstplugins/*.so
%_libdir/kde3/kstplugins/*.xml
#%_libdir/libkst.so.*


%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%_datadir/applications/kde/kst.desktop

%dir %_datadir/apps/kst/
%_datadir/apps/kst/*.rc

%dir %_docdir/HTML/de/kst
%doc %_docdir/HTML/de/kst/*.docbook
%doc %_docdir/HTML/en/kst/kst.1
%_mandir/man1/kst.*

%dir %_docdir/HTML/en/kst
%doc %_docdir/HTML/en/kst/common
%doc %_docdir/HTML/en/kst/*.bz2
%doc %_docdir/HTML/en/kst/*.docbook
%doc %_docdir/HTML/en/kst/*.png

%dir %_docdir/HTML/da/kst
%doc %_docdir/HTML/da/kst/common
%doc %_docdir/HTML/da/kst/*.bz2
%doc %_docdir/HTML/da/kst/*.docbook

%dir %_docdir/HTML/es/kst
%doc %_docdir/HTML/es/kst/*.docbook

%dir %_docdir/HTML/et/kst
%doc %_docdir/HTML/et/kst/common
%doc %_docdir/HTML/et/kst/*.bz2
%doc %_docdir/HTML/et/kst/*.docbook
%doc %_docdir/HTML/et/kst/*.png

%dir %_docdir/HTML/fr/kst/
%doc %_docdir/HTML/fr/kst/common
%doc %_docdir/HTML/fr/kst/*.bz2
%doc %_docdir/HTML/fr/kst/*.docbook

%dir %_docdir/HTML/it/kst
%doc %_docdir/HTML/it/kst/*.docbook
%doc %_docdir/HTML/it/kst/common
%doc %_docdir/HTML/it/kst/*.bz2
%doc %_docdir/HTML/it/kst/*.png

%dir %_docdir/HTML/es/kst
%doc %_docdir/HTML/es/kst/*.png

%dir %_docdir/HTML/pt/kst
%doc %_docdir/HTML/pt/kst/*.docbook
%doc %_docdir/HTML/pt/kst/common
%doc %_docdir/HTML/pt/kst/*.bz2

%dir %_docdir/HTML/sv/kst
%doc %_docdir/HTML/sv/kst/*.png
%doc %_docdir/HTML/sv/kst/*.docbook
%doc %_docdir/HTML/sv/kst/common
%doc %_docdir/HTML/sv/kst/*.bz2

%dir  %_docdir/HTML/nl/kst
%doc %_docdir/HTML/nl/kst/*.docbook
%doc %_docdir/HTML/nl/kst/common
%doc %_docdir/HTML/nl/kst/*.bz2


%{_iconsdir}/hicolor/16x16/mimetypes/*.png
%{_iconsdir}/hicolor/22x22/actions/*.png
%{_iconsdir}/hicolor/32x32/mimetypes/kst.png

%{_iconsdir}/locolor/16x16/apps/kst.png
%{_iconsdir}/locolor/16x16/mimetypes/kst.png
%{_iconsdir}/locolor/32x32/apps/kst.png
%{_iconsdir}/locolor/32x32/mimetypes/kst.png

%_datadir/mimelnk/application/x-kst.desktop

%dir %_datadir/services/kst/
%_datadir/services/kst/*.desktop

%dir %_datadir/servicetypes/kst/
%_datadir/servicetypes/kst/*.desktop

%dir %_datadir/apps/kst/fonts/
%_datadir/apps/kst/fonts/*.gz

%dir %_datadir/apps/kconf_update/
%dir %_datadir/apps/kconf_update/*.upd

%dir %_datadir/apps/kst/pics
%_datadir/apps/kst/pics/*.png

%dir %_datadir/apps/kst/tutorial
%_datadir/apps/kst/tutorial/*.kst
%_datadir/apps/kst/tutorial/*.dat

%_datadir/config/colors/Kst*
%_datadir/config/colors/IDL*



%changelog
* Fri Sep 28 2007 Funda Wang <fundawang@mandriva.org> 1.4.0-3mdv2008.0
+ Revision: 93474
- Use configure2_5x
- fix bug#34252

* Sun Aug 19 2007 Funda Wang <fundawang@mandriva.org> 1.4.0-2mdv2008.0
+ Revision: 66561
- add fdo categories

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages

* Sat Jul 07 2007 Funda Wang <fundawang@mandriva.org> 1.4.0-1mdv2008.0
+ Revision: 49434
- BR libxml2-utils
- disable parrael build
- New version


* Sun Jul 02 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.1-5mdk
- Rebuild

* Wed May 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.1-4mdk
- Remove redundant BuildRequires

* Tue May 09 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.1-3mdk
- Fix BuildRequires

* Mon May 08 2006 Laurent MONTEL <lmontel@mandriva.com> 1.2.1-2
- Rebuild to generate category

* Thu Apr 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.1-1mdk
- New release 1.2.1

* Thu Feb 16 2006 Laurent MONTEL <lmontel@mandriva.com> 1.2.0-1
- 1.2.0

* Sat Jan 07 2006 Anssi Hannula <anssi@mandriva.org> 1.1.1-2mdk
- fix x86_64 build

* Sun Oct 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.1-1mdk
- New release 1.1.1
- Remove patch 1 : unneeded
- %%mkrel
- Make rpmbuildupdate-able

* Sun May 22 2005 Laurent MONTEL <lmontel@mandriva.com> 1.1.0-1mdk
- 1.1.0

* Fri Mar 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-4mdk
- Fix compile under x86_64

* Fri Mar 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-3mdk
- Fix conflict

* Fri Nov 26 2004 Bchan Milne <bgmilne@linux-mandrake.com> 1.0-2mdk
- remove redundant buildrequires
- buildrequire gsl-devel and cfitsio-devel (and thus get fits support)
- correct lib mjor
-cleanups

* Wed Nov 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.00-1mdk
- 1.00

* Thu Nov 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.99-1mdk
- 0.99

* Fri Jul 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.97-2mdk
- Rebuild

* Tue May 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-1mdk
- First package

